## debian-installer-utils 1.08

=== Makefile ===
ifndef TARGETS
TARGETS=mapdevfs debian/di-utils-shell.postinst pipe_progress
endif

# Where to create device entries for di-utils-devicefiles
ifndef DEVDIR
DEVDIR=debian/di-utils-devicefiles/dev
endif

CFLAGS=-Wall -W -Os -fomit-frame-pointer -g
INSTALL=install
STRIPTOOL=strip
STRIP = $(STRIPTOOL) --remove-section=.note --remove-section=.comment

all: $(TARGETS)

mapdevfs: mapdevfs.c
	$(CC) $(CFLAGS) $^ -o $@ -ldebian-installer

debian/di-utils-shell.postinst: debian/di-utils-shell.postinst.c
	$(CC) $(CFLAGS) $^ -o $@ -ldebconfclient -ldebian-installer

devicefiles:
	mkdir -p $(DEVDIR)/dev
	mknod $(DEVDIR)/dev/console c 5 1
	mkdir -p $(DEVDIR)/dev/vc
	mknod $(DEVDIR)/dev/vc/0 c 4 0
	mknod $(DEVDIR)/dev/vc/1 c 4 1
	mknod $(DEVDIR)/dev/vc/2 c 4 2
	mknod $(DEVDIR)/dev/vc/3 c 4 3
	mknod $(DEVDIR)/dev/vc/4 c 4 4
	mknod $(DEVDIR)/dev/vc/5 c 4 5
	mkdir -p $(DEVDIR)/dev/rd
	mknod $(DEVDIR)/dev/rd/0 b 1 0

strip: $(TARGETS)
	$(STRIP) $^

clean:
	rm -f $(OBJECTS) $(TARGETS)

## debian-installer-utils 0.56ubuntu2

=== debian/changelog ===
debian-installer-utils (0.56ubuntu2) warty; urgency=low

  * Backport from Debian (Joey Hess):
    - apt-install: Set DEBCONF_ADMIN_EMAIL to "" to prevent debconf from
      mailing notes to user mail.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 11 Oct 2004 13:31:17 +0100

debian-installer-utils (0.56ubuntu1) warty; urgency=low

  * Backport from Debian (Joey Hess) for Warty #1337:
    - Add a user-params command to di-utils, useful for boot loader
      installers that want to pass on user-entered params to the installed
      system's bootloader.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 20 Sep 2004 19:15:39 +0100

debian-installer-utils (0.56) unstable; urgency=low

  * Updated translations: 
    - Basque (eu.po) by Piarres Beobide Egaa
    - Italian (it.po) by Stefano Melchior
    - Polish (pl.po) by Bartosz Fenski
    - Russian (ru.po) by Nikolai Prokoschenko

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 2004 12:43:47 -0300

debian-installer-utils (0.55) unstable; urgency=low

  * Christian Perrier
    - Fixed ellipsis typography

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 May 2004 16:05:13 +0200

debian-installer-utils (0.54) unstable; urgency=low

  * Joey Hess
    - In di-utils-shell, ignore the exit status of the shell;
      some commands came make the shell return nonzero, and that should not be
      presented as a menu item failing.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bokmal, Norwegian (nb.po) by Bjrn Steensrud
    - Norwegian Nynorsk (nn.po) by Hvard Korsvoll
    - Vietnamese (vi.po) by Vu Quang Trung

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 13:23:09 -0400

debian-installer-utils (0.53) unstable; urgency=low

  * Updated translations: 
    - Finnish (fi.po) by Tapio Lehtonen
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Norwegian Nynorsk (nn.po) by Hvard Korsvoll
    - Portuguese (pt.po) by Miguel Figueiredo
    - Turkish (tr.po) by Osman Yksel
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 11:14:30 -0400

debian-installer-utils (0.52) unstable; urgency=low

  * Updated translations: 
    - Basque (eu.po) by Piarres Beobide Egaa
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 2004 00:49:18 -0400

debian-installer-utils (0.51) unstable; urgency=low

  * Joey Hess
    - Change the menu item of di-utils-reboot so it's clear this is how to
      abort the install. Closes: #229210
    - main-menu has been fixed, so di-utils-shell need not exit 1.
    - Change di-utils-reboot to not exit 30 if the user cancels.
      The new main-menu displays a failure box for that.
    - Reocmmend the busybox help command instead of the hard-t-remember ls
      thing.
  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Alwin Meschede
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Spanish (Castilian) (es.po) by Javier Fernández-Sanguino
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Héctor Fernández López
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Nikolai Prokoschenko
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Apr 2004 16:13:46 -0400

debian-installer-utils (0.50) unstable; urgency=low

  * Updated translations: 
    - Bosnian (bs.po) by Safir Šećerović
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Mar 2004 14:59:19 -0500

debian-installer-utils (0.49) unstable; urgency=low

  * Updated translations:
    - Russian by Nikolai Prokoschenko
    - Giusepp Sacco
      - Updated italian translation and notified translator (it.po)

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Mar 2004 13:53:30 -0500

debian-installer-utils (0.48) unstable; urgency=low

  * Translations:
    - Ognyan Kulev
      - Updated Bulgarian translation (bg.po).
    - Dafydd Harries : Added Welsh translation (cy.po)

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Mar 2004 00:11:10 -0500

debian-installer-utils (0.47) unstable; urgency=low

  * Joey Hess
    - Use three dots in elipses for consistency.
  * Translations :
    - Miguel Figueiredo
      - Updated Portuguese translation (pt.po)
    - Bartosz Fenski
      - Updated Polish translation (pl.po)
    - Pierre Machard
      - Updated French translation (fr.po)
    - Kenshi Muto
      - Updated Japanese translation (ja.po)
    - Konstantinos Margaritis
      - Updated Greek translation (el.po)
    - Carlos Z.F. Liu
      - Updated Simplified Chinese translation (zh_CN.po)
    - Jordi Mallach
      - Updated Catalan translation (ca.po)
    - André Luís Lopes
      - Updated Brazilian Portuguese translation (pt_BR.po)
    - Eugeniy Meshcheryakov
      - Updated Ukrainian translation (uk.po)
    - Elian Myftiu
      - Updated Albanian translation (sq.po)
    - Claus Hindsgaul
      - Update da (Danish) translation.
    - Ming Hua
      - Initial Traditional Chinese translation (zh_TW.po), by Tetralet


=== debian/control ===
Source: debian-installer-utils
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Thorsten Sauter <tsauter@debian.org>, Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), po-debconf (>= 0.5.0), libdebian-installer-dev

Package: di-utils-shell
Architecture: any
Depends: ${shlibs:Depends}
XB-installer-menu-item: 950
Description: Execute a shell
XC-Package-Type: udeb

Package: di-utils-reboot
Architecture: all
XB-installer-menu-item: 995
Description: Reboot
XC-Package-Type: udeb

Package: di-utils-exit-installer
Architecture: all
Priority: extra
XB-installer-menu-item: 990
Description: Exit installer demo
XC-Package-Type: udeb

Package: di-utils
Architecture: all
Depends: ${shlibs:Depends}
Description: Miscellaneous utilities for the debian installer
XC-Package-Type: udeb

Package: di-utils-mapdevfs
Architecture: any
Depends: ${shlibs:Depends}
Description: mapdevfs utility for the debian installer
XC-Package-Type: udeb

Package: di-utils-bootfloppy
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}
Description: Utilities for the debian installer boot floppy
XC-Package-Type: udeb

Package: di-utils-terminfo
Architecture: all
Description: Terminfo entries needed by newt/slang in debian installer
XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install -pdi-utils anna-install apt-install debconf-get \
	                      debconf-set register-module user-params bin
	dh_installdirs -pdi-utils usr/lib/prebaseconfig.d
	install register-module.prebaseconfig debian/di-utils/usr/lib/prebaseconfig.d/50register-module
	dh_installdebconf -i
	dh_compress -i
	dh_fixperms -i
	for file in /etc/terminfo/a/ansi /etc/terminfo/l/linux \
	  /etc/terminfo/v/vt102; do \
	  mkdir -p debian/di-utils-terminfo/`dirname $$file`; \
          cp -a $$file debian/di-utils-terminfo/$$file; \
        done
	#$(MAKE) devicefiles  DEVDIR=debian/di-utils-devicefiles
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install -pdi-utils-mapdevfs mapdevfs bin
	dh_install -pdi-utils-bootfloppy pipe_progress bin
	dh_installdebconf -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_strip -a # should come after dh_installdeb; binary postinst
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debian-installer-utils 1.08

=== debian/changelog ===
debian-installer-utils (1.08) unstable; urgency=low

  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Romanian (ro.po) by Eddy Petrisor
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:35:42 -0400

debian-installer-utils (1.07) unstable; urgency=low

  * Frans Pop
    - Don't add packages that are installed immediately to the queue
      as they shouldn't be processed in base-config's postinst.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Czech (cs.po) by Miroslav Kure
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Debian Indonesia Team
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Swedish (sv.po) by Per Olofsson
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 2004 20:45:33 -0400

debian-installer-utils (1.06) unstable; urgency=low

  * Joey Hess
    - Make apt-install add a dummy start-stop-daemon and a policy-rc.d to
      prevent daemons from being started when packages are installed.
      Closes: #264451
    - Better cleanup if package install fails.
  * Updated translations: 
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - French (fr.po) by French Team
    - Gallegan (gl.po) by Hctor Fenndez Lpez
    - Portuguese (Brazil) (pt_BR.po) by Andr Lus Lopes
    - Russian (ru.po) by Russian L10N Team

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Sep 2004 16:08:51 -0400

debian-installer-utils (1.05) unstable; urgency=low

  * Joey Hess
    - Add the id of the question to the dummy template description so bug
      reports can be more useful.
  * Updated translations: 
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Pea
    - French (fr.po) by French Team

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Sep 2004 11:38:36 -0400

debian-installer-utils (1.04) unstable; urgency=low

  * Joey Hess
    - Remove seen flag setting code in di-utils-shell.postinst and
      di-utils-reboot.postinst.
    - apt-install: Set DEBCONF_ADMIN_EMAIL to "" to prevent debconf from
      mailing notes to user mail.
  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Korean (ko.po) by Changwoo Ryu
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 2004 20:31:20 -0400

debian-installer-utils (1.03) unstable; urgency=low

  * Joey Hess
    - Make debconf-set-selections robust when dealing with preseed files
      that are missing fields.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Sep 2004 01:09:44 -0400

debian-installer-utils (1.02) unstable; urgency=low

  * Joey Hess
     - debconf-set-selections: Mark preseeded questions as seen to
       avoid pestering the user with them.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Aug 2004 16:27:16 +0100

debian-installer-utils (1.01) unstable; urgency=low

  * Joey Hess
    - Add a user-params command to di-utils, useful for boot loader installers
      that want to pass on user-entered params to the installed system's
      bootloader.
    - Add a debconf-set-selections to di-utils for use by preseeding.

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Aug 2004 15:07:50 +0100

debian-installer-utils (1.00) unstable; urgency=low

  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Italian (it.po) by Stefano Melchior
    - Bøkmal, Norwegian (nb.po) by Petter Reinholdtsen
    - Swedish (sv.po) by Per Olofsson
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jul 2004 19:26:43 -0400

debian-installer-utils (0.57) unstable; urgency=low

  * Bastian Blank
    - Setup new environment. (closes: #219629)
    - Restore stderr. Needs cdebconf 0.70.
    - Use generic exit routines. Needs rootskel 0.86.
    - Make register-module able to product chandev settings.
    - Don't call clear.
  * Colin Watson
    - Add search-path program to attempt to discourage fragile code of the
      form 'if [ -x /hardcoded/path/to/executable ]'.
  * Updated translations: 
    - Arabic (ar.po) by Abdulaziz Al-Arfaj
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Frederik Dannemare
    - German (de.po) by Dennis Stampfer
    - Greek (el.po) by George Papamichelakis
    - Spanish (es.po) by Javier Fernández-Sanguino
    - Persian (fa.po) by Arash Bijanzadeh
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VERÓK István
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Thorsten Sauter <tsauter@debian.org>, Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>
-Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), po-debconf (>= 0.5.0), libdebian-installer-dev
+Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer-dev
 
 Package: di-utils-shell
 Architecture: any
@@ -22,7 +22,7 @@
 Architecture: all
 Priority: extra
 XB-installer-menu-item: 990
-Description: Exit installer demo
+Description: Exit installer
 XC-Package-Type: udeb
 
 Package: di-utils

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 	dh_testroot
 	dh_clean -k
 	dh_install -pdi-utils anna-install apt-install debconf-get \
-	                      debconf-set register-module user-params bin
+	                      debconf-set register-module search-path \
+	                      user-params debconf-set-selections bin
 	dh_installdirs -pdi-utils usr/lib/prebaseconfig.d
 	install register-module.prebaseconfig debian/di-utils/usr/lib/prebaseconfig.d/50register-module
 	dh_installdebconf -i

## debian-installer-utils 1.08ubuntu8

=== debian/changelog ===
debian-installer-utils (1.08ubuntu8) hoary; urgency=low

  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 14:39:49 +0000

debian-installer-utils (1.08ubuntu7) hoary; urgency=low

  * Add run-in-target, to run a program while chrooted into /target with the
    correct locale set.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 15:27:39 +0000

debian-installer-utils (1.08ubuntu6) hoary; urgency=low

  * Disable authentication checks if installing from CD. There's no need,
    and it seems to fail occasionally in ways that are very difficult to
    work around at this stage (e.g. #5723).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Mar 2005 14:26:52 +0000

debian-installer-utils (1.08ubuntu5) hoary; urgency=low

  * Don't output init=* or ks=* from user-params.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Feb 2005 22:07:22 +0000

debian-installer-utils (1.08ubuntu4) hoary; urgency=low

  * Make apt-get use gpgv --ignore-time-conflict to avoid validation errors
    due to clock problems.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  9 Feb 2005 11:13:13 +0000

debian-installer-utils (1.08ubuntu3) hoary; urgency=low

  * Stop setting APT::Get::AllowUnauthenticated to true in apt-install,
    since the CD's Release files are now signed.
  * Backport from trunk:
    - debconf-set-selections: Add an --unseen flag, to allow for interactive
      preseeding.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jan 2005 19:49:47 +0000

debian-installer-utils (1.08ubuntu2) hoary; urgency=low

  * Add link to prebaseconfig script in /usr/lib/casper/pre.d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 20:18:29 +0000

debian-installer-utils (1.08ubuntu1) hoary; urgency=low

  * Set APT::Get::AllowUnauthenticated to true in apt-install. This is far
    from ideal, but debian-cd necessarily has to regenerate Packages files
    and so the Release files on the CD are unsigned ...

 -- Colin Watson <cjwatson@canonical.com>  Tue, 14 Dec 2004 10:51:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,12 @@
 	dh_clean -k
 	dh_install -pdi-utils anna-install apt-install debconf-get \
 	                      debconf-set register-module search-path \
-	                      user-params debconf-set-selections bin
+	                      user-params debconf-set-selections \
+	                      run-in-target bin
 	dh_installdirs -pdi-utils usr/lib/prebaseconfig.d
 	install register-module.prebaseconfig debian/di-utils/usr/lib/prebaseconfig.d/50register-module
 	dh_installdebconf -i
+	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
 	for file in /etc/terminfo/a/ansi /etc/terminfo/l/linux \

## debian-installer-utils 1.10ubuntu2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ifndef TARGETS
-TARGETS=mapdevfs debian/di-utils-shell.postinst pipe_progress
+TARGETS=mapdevfs pipe_progress
 endif
 
 # Where to create device entries for di-utils-devicefiles
@@ -16,9 +16,6 @@
 
 mapdevfs: mapdevfs.c
 	$(CC) $(CFLAGS) $^ -o $@ -ldebian-installer
-
-debian/di-utils-shell.postinst: debian/di-utils-shell.postinst.c
-	$(CC) $(CFLAGS) $^ -o $@ -ldebconfclient -ldebian-installer
 
 devicefiles:
 	mkdir -p $(DEVDIR)/dev

=== debian/changelog ===
debian-installer-utils (1.10ubuntu2) breezy; urgency=low

  * Backport from trunk (Matt Kraai, closes: Ubuntu #14608):
    - Copy the terminfo files from /usr/share instead of /etc.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  3 Sep 2005 09:52:03 +0100

debian-installer-utils (1.10ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Jun 2005 23:17:07 +0100

debian-installer-utils (1.10) unstable; urgency=low

  * Colin Watson
    - debconf-get: Reimplement using the cdebconf 'none' frontend.
  * Joey Hess
    - env2debconf moved to here from rootskel.
    - Whoops, env2debconf moved on to new env-preseed.
    - And debconf-set-selections moved to preseed-common, just to keep all
      the preseed stuff in one place.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide
    - Hebrew (he.po) by Lior Kaplan
    - Italian (it.po) by Giuseppe Sacco
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Russian (ru.po) by Yuri Kozlov

 -- Joey Hess <joeyh@debian.org>  Tue, 31 May 2005 20:53:29 -0400

debian-installer-utils (1.09ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Remove run-in-target, which turned out not to be very useful.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 May 2005 16:25:46 +0100

debian-installer-utils (1.09) unstable; urgency=low

  NOTE: Not for sarge.
  * Colin Watson
    - search-path: Do something sensible with absolute paths as arguments
      (useful for rescue-mode).
    - debconf-set: Use the 'none' frontend to avoid the annoying
      screen-clearing effect.
    - debconf-set-selections: Add an --unseen flag, to allow for interactive
      preseeding.
    - Don't output init=* from user-params; supplying it to the first stage
      doesn't in general mean that you want it in the second stage too.
    - Replace di-utils-shell.postinst with a smaller shell implementation,
      using the DEBCONF_OLD_FD_BASE shell export feature from cdebconf 0.73.
  * Joey Hess
    - Merge Colin's anna-install patch for immediate udeb installation if
      anna is configured. Needs new anna for the new functionality, queue mode
      should continue to work with older annas.
    - Stop setting the frontend to noninteractive for anna-install, getting
      a progress bar and being able to deal with errors is semi-nice.
    - Overload the type field in preseed files; if it's "seen" then
      instead set the seen flag; this allows for preseeding that only changes
      a default value but still leaves the question unseen.
  * Matt Kraai
    - Fix the spelling of "file system".
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernandez-Sanguino Peña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun,  1 May 2005 11:16:15 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer-dev
 
 Package: di-utils-shell
-Architecture: any
-Depends: ${shlibs:Depends}
+Architecture: all
+Depends: cdebconf-udeb (>= 0.73)
 XB-installer-menu-item: 950
 Description: Execute a shell
 XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -19,16 +19,15 @@
 	dh_clean -k
 	dh_install -pdi-utils anna-install apt-install debconf-get \
 	                      debconf-set register-module search-path \
-	                      user-params debconf-set-selections \
-	                      run-in-target bin
+	                      user-params bin
 	dh_installdirs -pdi-utils usr/lib/prebaseconfig.d
 	install register-module.prebaseconfig debian/di-utils/usr/lib/prebaseconfig.d/50register-module
 	dh_installdebconf -i
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
-	for file in /etc/terminfo/a/ansi /etc/terminfo/l/linux \
-	  /etc/terminfo/v/vt102; do \
+	for file in /usr/share/terminfo/a/ansi /usr/share/terminfo/l/linux \
+	  /usr/share/terminfo/v/vt102; do \
 	  mkdir -p debian/di-utils-terminfo/`dirname $$file`; \
           cp -a $$file debian/di-utils-terminfo/$$file; \
         done
@@ -46,8 +45,8 @@
 	dh_installdebconf -a
 	dh_compress -a
 	dh_fixperms -a
+	dh_strip -a
 	dh_installdeb -a
-	dh_strip -a # should come after dh_installdeb; binary postinst
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_builddeb -a

## debian-installer-utils 1.22ubuntu10

=== debian/changelog ===
debian-installer-utils (1.22ubuntu10) dapper-updates; urgency=low

  * Fix reversed load vs. initrd logic in register-module (closes: Malone
    #55479).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  7 Aug 2006 11:18:14 +0100

debian-installer-utils (1.22ubuntu9) dapper-updates; urgency=low

  * Backport from trunk changes by Frans Pop (with substantial changes to
    avoid most of the register-module queue rearrangements; this is just to
    allow sbus discovery to be backported):
    - register-module: make prebaseconfig script run post-base-installer
      instead. This means it runs before kernel selection so that module
      parameters can be taken into account by initrd/initramfs generators.
      There seems to be no reason to run it later.
    - register-module: add -i flag, this allows a module to be queued for
      inclusion in the initrd rather than to be loaded from /etc/modules.
      Based on patch by Jurij Smakov, for which thanks.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jul 2006 12:20:59 +0100

debian-installer-utils (1.22ubuntu8) dapper; urgency=low

  * user-params: Stop propagating vga= to installed system. We don't believe
    that it's needed to display a console any more now that we've switched
    to 640x400 by default, and it breaks suspend/resume. People can always
    type it in again at the installed boot loader if need be.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Apr 2006 16:56:25 +0100

debian-installer-utils (1.22ubuntu7) dapper; urgency=low

  * Remove espresso-utils package (including archdetect), moved into
    espresso proper.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  5 Apr 2006 21:35:57 +0100

debian-installer-utils (1.22ubuntu6) dapper; urgency=low

  * debconf-get, debconf-set: Use DEBIAN_FRONTEND=noninteractive rather than
    none so that we don't have to sed these programs for use with debconf.
    Requires cdebconf-udeb (>= 0.97).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  5 Apr 2006 12:58:16 +0100

debian-installer-utils (1.22ubuntu5) dapper; urgency=low

  * Fix build failure due to changed path to espresso-utils' debconf-get.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Jan 2006 08:58:14 +0000

debian-installer-utils (1.22ubuntu4) dapper; urgency=low

  * Install espresso-utils programs to /bin rather than /usr/bin, for the
    benefit of various hardcoded paths.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2006 14:11:05 +0000

debian-installer-utils (1.22ubuntu3) dapper; urgency=low

  * Add archdetect to espresso-utils, copied from hw-detect as a stopgap
    measure in lieu of a proper archdetect.deb.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jan 2006 17:53:37 +0000

debian-installer-utils (1.22ubuntu2) dapper; urgency=low

  * Add debian-installer/add-kernel-opts template to espresso-utils.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jan 2006 14:37:02 +0000

debian-installer-utils (1.22ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Drop casper symlink, no longer required following casper's
    reimplementation as initramfs hooks.
  * Lower priority of espresso-utils to optional.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun,  1 Jan 2006 16:35:43 +0000

debian-installer-utils (1.22) unstable; urgency=low

  [ Colin Watson ]
  * apt-install: When queueing a package for later installation, make a log
    entry saying so.

  [ Joey Hess ]
  * chroot-setup.sh: Set LANG to the value of debian-installer/locale so that
    debconf frontend proxying etc will use the right language.
  * Requires localechooser 0.26.

  [ Updated translations ]
  * Galician (gl.po) by Jacobo Tarrio
  * Slovenian (sl.po) by Jure Čuhalev

 -- Colin Watson <cjwatson@debian.org>  Sun, 25 Dec 2005 16:13:04 +0000

debian-installer-utils (1.21) unstable; urgency=low

  * chroot-setup.sh: set LANG again; not doing so causes endless perl warnings.
  * apt-install: run chroot_setup before setting the frontend to noninteractive
    as chroot_setup clears that variable.

 -- Frans Pop <fjp@debian.org>  Fri,  9 Dec 2005 17:36:40 +0100

debian-installer-utils (1.20ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Create an espresso-utils package containing debconf-get, log-output,
    mapdevfs, and user-params, to save reimplementing these useful utilities
    for Espresso.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Dec 2005 10:54:02 +0000

debian-installer-utils (1.20) unstable; urgency=low

  [ Joey Hess ]
  * Add in-target command used to run a command in /target with debconf
    passthrough.
  * Split general purpose parts of apt-install out into chroot-setup.sh.
  * Also added code to chroot-setup.sh to pass through the debconf
    priority and the installation language.
  * Make in-target use chroot-setup.sh, so it can be used to run commands that
    install packages, like tasksel.
  * Move the --ignore-time-conflict setting into a temporry apt.conf file
    so it will also be used by commands run by in-target.
  * Drop installation language code; locales are not set up and it's probably
    not needed.

  [ Colin Watson ]
  * Add /usr/share/common-licenses/GPL reference to debian/copyright.
  * Add myself to Uploaders.

  [ Updated translations ]
  * Latvian (lv.po) by Aigars Mahinovs
  * Malagasy (mg.po) by Jaonary Rabarisoa

 -- Colin Watson <cjwatson@debian.org>  Wed,  7 Dec 2005 10:36:17 +0000

debian-installer-utils (1.19ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Call udevplug from update-dev if available.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Nov 2005 21:37:16 +0000

debian-installer-utils (1.19) unstable; urgency=low

  * Add new update-dev program to centralise duplicated
    userdevfs/udev-prodding code from hw-detect, partman-base,
    partman-auto-lvm, and rootskel.

  [ Updated translations ]
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Romanian (ro.po) by Eddy Petrişor



=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdebconf -i
	dh_compress -i
	dh_fixperms -i
	for file in /usr/share/terminfo/a/ansi /usr/share/terminfo/l/linux \
	  /usr/share/terminfo/v/vt102; do \
		mkdir -p debian/di-utils-terminfo/`dirname $$file`; \
        	cp -a $$file debian/di-utils-terminfo/$$file; \
        done
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install -pdi-utils anna-install apt-install debconf-disconnect \
	                      debconf-get debconf-set log-output \
	                      register-module search-path update-dev \
	                      user-params in-target bin
	dh_install -pdi-utils chroot-setup.sh lib
	dh_installdirs -pdi-utils usr/lib/post-base-installer.d
	install register-module.post-base-installer debian/di-utils/usr/lib/post-base-installer.d/10register-module
	dh_install -pdi-utils-mapdevfs mapdevfs bin
	dh_installdebconf -a
	dh_compress -a
	dh_fixperms -a
	dh_strip -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debian-installer-utils 1.45

=== debian/changelog ===
debian-installer-utils (1.45) unstable; urgency=low

  [ Joey Hess ]
  * Modify user-params to handle the case where the cmdline contains
    quoted multi-word values. Don't output any multi-word values, as there's
    probably no valid use for them other than debconf settings, and
    user-params callers are not prepared to deal with them in its output.
    Closes: #411702.
  * Reorganised some code for speed.

  [ Frans Pop ]
  * Add testsuite infrastructure and tests for user-params.
  * Also exclude D-I specific boot parameters.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen A

 -- Frans Pop <fjp@debian.org>  Thu, 22 Feb 2007 12:01:00 +0100

debian-installer-utils (1.44) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Esperanto (eo.po) by Serge Leblanc
  * Latvian (lv.po) by Aigars Mahinovs
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:32:54 +0100

debian-installer-utils (1.43) unstable; urgency=low

  * register-module: write module options in /etc/modprobe.d if there is no
    /etc/modprobe.conf; use of /etc/modprobe.conf is deprecated.
  * register-module: support blacklisting of modules (for modutils only).

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Frans Pop <fjp@debian.org>  Sat,  6 Jan 2007 10:32:00 +0100

debian-installer-utils (1.42) unstable; urgency=low

  [ Joey Hess ]
  * user-params: Exclude brltty option, since it is already recorded in
    /etc/brltty.conf. Thanks, Samuel Thibault. Closes: #403820.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Thu, 21 Dec 2006 16:26:21 +0100

debian-installer-utils (1.41) unstable; urgency=low

  * list-devices: Fall back to assuming that cciss, ida, and rd RAID devices
    are disks if udevinfo doesn't provide an ID_TYPE for them.
  * list-devices: Check for both ID_CDROM= and ID_TYPE=cd to work around
    #400258.

  [ Updated translations ]
  * Kurdish (ku.po) by Erdal Ronahi

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Nov 2006 20:08:40 +0000

debian-installer-utils (1.40) unstable; urgency=low

  [ Joey Hess ]
  * user-params: skip items in preseed_aliases. Closes: #395920.

  [ Frans Pop ]
  * Remove Thorsten Sauter from uploaders as requested by MIA team.

  [ Colin Watson ]
  * list-devices: Look for ID_CDROM= in udevinfo output rather than
    ID_TYPE=cd when looking for CD devices. Closes: #398696.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Kurdish (ku.po) by rizoye-xerzi
  * Romanian (ro.po) by Eddy Petrișor
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 13:57:00 +0100

debian-installer-utils (1.39) unstable; urgency=low

  * apt-install/in-target: fix error messages when chroot_setup fails.

 -- Frans Pop <fjp@debian.org>  Mon, 30 Oct 2006 03:05:54 +0100

debian-installer-utils (1.38) unstable; urgency=low

  * apt-install/in-target: in some cases chroot_setup would fail because of an
    earlier error but leave a lock file behind which would prevent recovery.
    Add some basic checks in chroot_setup and bail out if these fail.
    Closes: #395113.

 -- Frans Pop <fjp@debian.org>  Wed, 25 Oct 2006 18:37:17 +0200

debian-installer-utils (1.37) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Stefano Canepa
  * Kurdish (ku.po) by Erdal Ronahi
  * Romanian (ro.po) by Eddy Petrișor
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 14:38:07 +0200

debian-installer-utils (1.36) unstable; urgency=low

  [ Colin Watson ]
  * log-output: Use static functions where appropriate.
  * log-output: When using --pass-stdout, pass stdout file descriptor
    through directly, without the need for a stdout handler function.
    Without this, long lines on stdout get broken into 1024-byte pieces.

  [ Frans Pop ]
  * Log actions by anna-install.

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Tue,  3 Oct 2006 23:42:44 +0100

debian-installer-utils (1.35) unstable; urgency=low

  * list-devices: Check for /sys/block, not /sys.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Aug 2006 18:39:25 +0100

debian-installer-utils (1.34) unstable; urgency=low

  * Add a 'partition' type to list-devices. 'disk' only finds top-level
    block devices.

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Aug 2006 14:42:05 +0100

debian-installer-utils (1.33) unstable; urgency=low

  * Add locking to chroot-setup.sh, since people sometimes try to run two
    parallel instances of apt-install or in-target and that breaks horribly.
  * Just mv start-stop-daemon.REAL back during cleanup, don't rm then mv
    (Anthony Towns).
  * Note that search-path is deprecated, as 'type' can generally do the job
    just as well. (If you find a case where it can't, please tell me.)
  * Add list-devices, which can be used to list all devices of a given type


=== debian/control ===
Source: debian-installer-utils
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debian-installer-utils

Package: di-utils-shell
Architecture: all
Depends: ${misc:Depends}, di-utils (>= 1.18)
XB-Installer-Menu-Item: 950
Description: Execute a shell
XC-Package-Type: udeb

Package: di-utils-reboot
Architecture: all
Depends: ${misc:Depends}
XB-Installer-Menu-Item: 995
Description: Reboot
XC-Package-Type: udeb

Package: di-utils-exit-installer
Architecture: all
Depends: ${misc:Depends}
Priority: extra
XB-Installer-Menu-Item: 990
Description: Exit installer
XC-Package-Type: udeb

Package: di-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Miscellaneous utilities for the debian installer
XC-Package-Type: udeb

Package: di-utils-mapdevfs
Architecture: any
Depends: ${shlibs:Depends}
Description: mapdevfs utility for the debian installer
XC-Package-Type: udeb

Package: di-utils-terminfo
Architecture: all
Description: Terminfo entries needed by newt/slang in debian installer
XC-Package-Type: udeb

## debian-installer-utils 1.45etch1

=== debian/changelog ===
debian-installer-utils (1.45etch1) stable; urgency=low

  * list-devices: add maybe-usb-floppy parameter to allow to also scan for
    USB-devices (sticks, CD drives) that are misdetected as floppy.

 -- Frans Pop <fjp@debian.org>  Mon,  4 Jun 2007 21:17:28 +0200

## debian-installer-utils 1.50ubuntu6

=== debian/changelog ===
debian-installer-utils (1.50ubuntu6) hardy-proposed; urgency=low

  [ Scott Moser ]
  * Add --quiet to dpkg-divert calls in chroot_setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Jan 2012 12:23:00 +0000

debian-installer-utils (1.50ubuntu5) hardy-proposed; urgency=low

  * chroot_setup.sh: Divert start-stop-daemon rather than simply moving it
    aside (LP: #900526).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jan 2012 14:58:36 +0000

debian-installer-utils (1.50ubuntu4) hardy-proposed; urgency=low

  * Add 'usb-partition' type in support of the new cdrom-detect option
    to try USB devices (LP: #234185).

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 27 Aug 2009 11:29:21 +0100

debian-installer-utils (1.50ubuntu3) hardy; urgency=low

  * Backport from trunk:
    - list-devices: udev 117 merged all udev tools into a single binary
      called udevadm. Check for this and use it instead of udevinfo if
      available.
  * Backport from trunk (Frans Pop):
    - user-params: also exclude debconf variables with '?=' (unset seen
      flag). Update testset to catch that. Closes: #470892.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Apr 2008 11:26:24 +0100

debian-installer-utils (1.50ubuntu2) hardy; urgency=low

  * Avoid sound events as they will trigger audio to be played on every
    call to udevtrigger; udevsettle (LP: #178057).

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 25 Feb 2008 15:08:47 -0500

debian-installer-utils (1.50ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - user-params: Don't propagate ks=*, vga=*, or break=* to installed
      system.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Dec 2007 12:41:36 +0000

debian-installer-utils (1.50) unstable; urgency=low

  [ Frans Pop ]
  * register-module: remove support for obsolete modutils and for no longer
    used type chandev.
  * apt-install: support CD/DVD changing by using debconf-apt-progress.
    To make media changing possible, the installation CD is unmounted in the
    D-I environment and reloaded after the package installation is finished.
    This change also makes apt-install use the passthrough instead of the
    noninteractive frontend.
    Requires debconf (1.5.16).
  * chroot-setup.sh: unconditionally check for and mount /target/sys.

  [ Otavio Salvador ]
  * list-devices: use pendrive as floppy workaround while probing
    partitions. Closes: #440301.

  [ Colin Watson ]
  * Just test whether /etc/apt/sources.list exists, not whether it's a file.
    I got a bug report involving a package that made /etc/apt/sources.list
    be a symlink to an absolute path which of course doesn't exist in the
    installer environment...

 -- Frans Pop <fjp@debian.org>  Wed, 21 Nov 2007 15:51:29 +0100

debian-installer-utils (1.49ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - user-params: Don't propagate ks=*, vga=*, or break=* to installed
      system.
  * Add XS-Vcs-Bzr for Ubuntu branch.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 19 Nov 2007 13:29:25 -0500

debian-installer-utils (1.49) unstable; urgency=low

  [ Frans Pop ]
  * user-params: also filter out new D-I boot parameter "lowmem".

  [ Joey Hess ]
  * Pass APT::Install-Recommends=false to apt to avoid new versions pulling in
    recommends.

 -- Frans Pop <fjp@debian.org>  Fri, 06 Jul 2007 00:14:53 +0200

debian-installer-utils (1.48ubuntu2) gutsy; urgency=low

  * user-params: Don't propagate break=* to installed system.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Oct 2007 18:39:44 +0100

debian-installer-utils (1.48ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - user-params: Don't propagate ks=* or vga=* to installed system.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Apr 2007 13:06:13 +0100

debian-installer-utils (1.48) unstable; urgency=low

  [ Colin Watson ]
  * list-devices: Fix incomplete addition of maybe-usb-floppy parameter.

 -- Frans Pop <fjp@debian.org>  Wed, 25 Apr 2007 16:48:30 +0200

debian-installer-utils (1.47) unstable; urgency=low

  * Code cleanup:
    - update-dev: remove support for old versions of hotplug/udev
    - list-devices: remove support for listing devices based on devfs-style
      names
  * list-devices: deprecate the maybe-floppy parameter as it was only used
    when listing devices based on devfs-style names.
  * list-devices: add maybe-usb-floppy parameter to allow to also scan for
    USB-devices (sticks, CD drives) that are misdetected as floppy.

 -- Frans Pop <fjp@debian.org>  Sat, 21 Apr 2007 00:56:58 +0200

debian-installer-utils (1.46ubuntu2) gutsy; urgency=low

  * Adjust expected user-params test output to account for Ubuntu changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Apr 2007 22:56:37 +0100

debian-installer-utils (1.46ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - user-params: Don't propagate ks=* or vga=* to installed system.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Apr 2007 12:48:57 +0100

debian-installer-utils (1.46) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Work around some weirdness in di_exec that caused log-output sometimes
      to hang in poll(). We now install a no-op SIGCHLD handler to make sure
      that poll() returns EINTR when the subsidiary process exits.
  * Mount /target/sys with the device name "sysfs" rather than the less
    helpful "none".

  [ Joey Hess ]
  * Multiply menu-item-numbers by 100.

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:37:55 -0400

debian-installer-utils (1.42ubuntu2) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Feb 2007 10:28:15 +0000

debian-installer-utils (1.42ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
